curl --request PATCH \
--url https://staging.crossmint.com/api/2022-06-09/collections/{collectionId}/nfts/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"metadata": {
"name": "Crossmint Example NFT",
"image": "https://www.crossmint.com/assets/crossmint/logo.png",
"description": "My NFT created via the mint API!",
"animation_url": "",
"attributes": [
{
"trait_type": "<string>",
"value": "<string>"
}
]
},
"reuploadLinkedFiles": true
}
'import requests
url = "https://staging.crossmint.com/api/2022-06-09/collections/{collectionId}/nfts/{id}"
payload = {
"metadata": {
"name": "Crossmint Example NFT",
"image": "https://www.crossmint.com/assets/crossmint/logo.png",
"description": "My NFT created via the mint API!",
"animation_url": "",
"attributes": [
{
"trait_type": "<string>",
"value": "<string>"
}
]
},
"reuploadLinkedFiles": True
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metadata: {
name: 'Crossmint Example NFT',
image: 'https://www.crossmint.com/assets/crossmint/logo.png',
description: 'My NFT created via the mint API!',
animation_url: '',
attributes: [{trait_type: '<string>', value: '<string>'}]
},
reuploadLinkedFiles: true
})
};
fetch('https://staging.crossmint.com/api/2022-06-09/collections/{collectionId}/nfts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actionId": "d5e24c69-530d-4efd-9201-e6f9d6f647e2",
"action": "nfts.update",
"status": "pending OR succeeded",
"data": {
"txId": "succeeded status ONLY - 0x69cf6d971e6745f25f683db9c87663839be02bdaa4a70f0724f490d7335b0081",
"chain": "polygon",
"collection": {
"id": "c242dcdb-57a7-4944-af9f-2c1472fa70fb",
"contractAddress": "0xc0DeE392CBe1af5f8211A17EAffAA5c358C0fE6d"
},
"token": {
"id": "27db27cf-1596-4ab0-9826-a6740ffce61a",
"owner": {
"walletAddress": "0x0794f3aa4521d19273D775a08289110523D34DD4"
},
"tokenId": "1"
},
"changes": [
"metadata"
]
},
"startedAt": "2024-03-08T00:10:59.000Z",
"completedAt": "succeeded status ONLY - 2024-03-08T00:11:01.000Z",
"resource": "https://staging.crossmint.com/api/2022-06-09/collections/c242dcdb-57a7-4944-af9f-2c1472fa70fb/nfts/d5e24c69-530d-4efd-9201-e6f9d6f647e2"
}{
"error": true,
"message": "Invalid arguments or empty parameter <missing parameter>."
}{
"error": true,
"message": "Malformed API key. / API key provided doesn't have required scopes."
}{
"error": true,
"message": "Not found"
}{
"error": true,
"message": "Please try again in a few minutes. If the issue still persists, contact Crossmint support."
}Edit NFT
Edit a minted NFT’s metadata on IPFS.
If you are using a custom baseURI, invoking this will overwrite the specific tokenURI for the edited token.
API scope required: nfts.update
Authorizations
Obtained in the Crossmint developer console
Path Parameters
This is the identifier for the collection related to the request. Every project has default collections: default-solana and default-polygon.
The create-collection API will result in collections with UUID formatted collectionId.
Example: 9c82ef99-617f-497d-9abb-fd355291681b
The create-collection-idempotent API allows you to specify an arbitrary identifier during the initial request.
Example: your-custom-identifier
Unique ID of the minted NFT returned in the mint response
Body
Response
The NFT metadata update action has been successfully been created.
"d5e24c69-530d-4efd-9201-e6f9d6f647e2"
"nfts.update"
"pending OR succeeded"
Show child attributes
Show child attributes
"2024-03-08T00:10:59.000Z"
The time this operation completed in UTC.
This is only present when status is succeeded
"succeeded status ONLY - 2024-03-08T00:11:01.000Z"
"https://staging.crossmint.com/api/2022-06-09/collections/c242dcdb-57a7-4944-af9f-2c1472fa70fb/nfts/d5e24c69-530d-4efd-9201-e6f9d6f647e2"
Was this page helpful?

